Method: reliabilityRisks.get

Returns the specified ReliabilityRisk resource.

HTTP request


GET https://compute.googleapis.com/compute/beta/projects/{project}/global/reliabilityRisks/{reliabilityRisk}

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
project

string

Project ID for this request.

reliabilityRisk

string

Name of the ReliabilityRisk resource to return.

Request body

The request body must be empty.

Response body

Represents a ReliabilityRisk resource.

If successful, the response body contains data with the following structure:

JSON representation
{
  "kind": string,
  "name": string,
  "id": string,
  "description": string,
  "creationTimestamp": string,
  "details": {
    "globalDnsInsight": {
      "projectDefaultIsGlobalDns": boolean,
      "queryObservationWindow": string,
      "totalQueryCount": string,
      "riskyQueryCount": string
    },
    "lastUpdateTimestamp": string,
    "duration": string,
    "type": enum,
    "severity": enum
  },
  "recommendation": {
    "content": string,
    "referenceUrl": string
  },
  "selfLink": string,
  "selfLinkWithId": string
}
Fields
kind

string

Output only. Type of resource. Always compute#reliabilityRisk for reliability risks.

name

string

Name of the resource. The name must be 1-63 characters long and comply with RFC1035.

id

string (uint64 format)

Output only. The unique identifier for the resource. This identifier is defined by the server.

description

string

An optional textual description of the resource; provided when the resource is created.

creationTimestamp

string

Output only. Creation timestamp in RFC3339 text format.

details

object

Output only. Details of the reliability risk resource

details.globalDnsInsight

object

Insight details for global DNS risk.

details.globalDnsInsight.projectDefaultIsGlobalDns

boolean

Indicates whether the project's default DNS setting is global DNS.

details.globalDnsInsight.queryObservationWindow

string (Duration format)

The observation window for the query counts.

A duration in seconds with up to nine fractional digits, ending with 's'. Example: "3.5s".

details.globalDnsInsight.totalQueryCount

string (int64 format)

The total number of queries in the observation window.

details.globalDnsInsight.riskyQueryCount

string (int64 format)

The number of queries that are risky. This is always less than or equal to totalQueryCount.

details.lastUpdateTimestamp

string (Timestamp format)

The last time the risk was updated.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

details.duration

string (Duration format)

The duration of the risk since it was detected.

A duration in seconds with up to nine fractional digits, ending with 's'. Example: "3.5s".

details.type

enum

The type of risk.

details.severity

enum

The severity of the risk.

recommendation

object

The recommendation to mitigate the risk.

recommendation.content

string

Mitigation guide for the risk.

recommendation.referenceUrl

string

URL referencing a more detailed mitigation guide.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/compute.readonly
  • https://www.googleapis.com/auth/compute
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

In addition to any permissions specified on the fields above, authorization requires one or more of the following IAM permissions:

  • compute.reliabilityRisks.get

To find predefined roles that contain those permissions, see Compute Engine IAM Roles.